Index: Makefile
===================================================================
--- Makefile	(revision cdf6024953ee944b8c9f9a3c866e0bb32aa465b6)
+++ Makefile	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
@@ -698,4 +698,5 @@
 LIB_C_FILES += freebsd/lib/libc/net/recv.c
 LIB_C_FILES += freebsd/lib/libc/net/send.c
+LIB_C_FILES += freebsd/lib/libc/net/vars.c
 LIB_C_FILES += freebsd/lib/libc/posix1e/mac.c
 LIB_C_FILES += freebsd/lib/libc/resolv/h_errno.c
Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision cdf6024953ee944b8c9f9a3c866e0bb32aa465b6)
+++ freebsd-to-rtems.py	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
@@ -2215,4 +2215,5 @@
 		'lib/libc/net/recv.c',
 		'lib/libc/net/send.c',
+		'lib/libc/net/vars.c',
 		'lib/libc/posix1e/mac.c',
 		'lib/libc/resolv/h_errno.c',
Index: freebsd/lib/libc/include/port_after.h
===================================================================
--- freebsd/lib/libc/include/port_after.h	(revision cdf6024953ee944b8c9f9a3c866e0bb32aa465b6)
+++ freebsd/lib/libc/include/port_after.h	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
@@ -0,0 +1,11 @@
+/* $FreeBSD$ */
+
+#ifndef _PORT_AFTER_H_
+#define _PORT_AFTER_H_
+
+#define HAVE_SA_LEN		1
+#define HAS_INET6_STRUCTS	1
+#define HAVE_SIN6_SCOPE_ID	1
+#define HAVE_TIME_R		1
+
+#endif /* _PORT_AFTER_H_ */
Index: freebsd/lib/libc/include/port_before.h
===================================================================
--- freebsd/lib/libc/include/port_before.h	(revision cdf6024953ee944b8c9f9a3c866e0bb32aa465b6)
+++ freebsd/lib/libc/include/port_before.h	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
@@ -18,5 +18,5 @@
         } while (0)
 
-#define UNUSED(x) (void)(x)
+#define UNUSED(x) (x) = (x)
 
 #endif /* _PORT_BEFORE_H_ */
Index: freebsd/lib/libc/net/vars.c
===================================================================
--- freebsd/lib/libc/net/vars.c	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
+++ freebsd/lib/libc/net/vars.c	(revision 9a3fa151b2e352129a8807c4a2d04d40737f3cc8)
@@ -0,0 +1,45 @@
+/*	$KAME: vars.c,v 1.2 2001/08/20 02:32:41 itojun Exp $	*/
+
+/*
+ * Copyright (C) 1995, 1996, 1997, and 1998 WIDE Project.
+ * All rights reserved.
+ * 
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. Neither the name of the project nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ * 
+ * THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+#include <sys/cdefs.h>
+__FBSDID("$FreeBSD$");
+
+#include <rtems/bsd/sys/types.h>
+#include <netinet/in.h>
+
+/*
+ * Definitions of some costant IPv6 addresses.
+ */
+const struct in6_addr in6addr_any = IN6ADDR_ANY_INIT;
+const struct in6_addr in6addr_loopback = IN6ADDR_LOOPBACK_INIT;
+const struct in6_addr in6addr_nodelocal_allnodes = IN6ADDR_NODELOCAL_ALLNODES_INIT;
+const struct in6_addr in6addr_linklocal_allnodes = IN6ADDR_LINKLOCAL_ALLNODES_INIT;
+
